Subject: Re: bug#10904: 24.0.93; Infinite loop in GnuTLS code during Gnus nnimap-initiated SSL handshake

From: Ted Zlatanov <[email-masked]>
Date: Mon, 09 Apr 2012 09:14:52 -0400

On Sun, 08 Apr 2012 20:37:32 -0400 Ted Zlatanov <[email-masked]> wrote: 

TZ> On Sun, 08 Apr 2012 13:46:56 -0400 Thomas Fitzsimmons <[email-masked]> wrote: 
TF> The loop happens when the GnuTLS handshake fails for some reason, within
TF> a network process.  I use the attached patch to limit the number of
TF> iterations.  I'm not familiar enough with the Emacs process code to
TF> suggest a fix though.

TZ> Thanks again for the help and provided patch.  I modified it to keep the
TZ> number of handshakes tried per connection, not globally.  Please try
TZ> it.  I will also propose it on emacs-devel for inclusion in the upcoming
TZ> 24.1 release.

The patch with some slight modification is in the Emacs trunk, so please
pull and test from there.

Ted